/**
 * 北森应聘者
 */
shr.defineClass("shr.custom.EmployeeDynListEx", shr.emp.EmployeeDynList, {
	initalizeDOM: function () {
		shr.custom.EmployeeDynListEx.superClass.initalizeDOM.call(this);
		var _self = this;
	},
	/**
	 * 同步人员至北森
	 */
	syncPersonToBeisenAction: function () {
		var that = this;
		var $grid = $(this.gridId);
		var billIds = $("#grid").jqGrid("getSelectedRows");
		if (billIds.length <= 0) {
			shr.showWarning({
				message: "请先选中一行数据！",
				hideAfter: 5
			})
			return;
		}
		shr.showConfirm("是否确认同步！！", function () {
			// that.remoteCall({
			// 	method: 'syncPersonToBeisen',
			// 	param: {
			// 		billId: billIds.toString(),
			// 	},
			// 	success: function (data) {
			// 		$grid.jqGrid("reloadGrid");
			// 	}
			// });
			// shr.showSuccess({
			// 	message: "正在后台执行，请稍后....",
			// 	hideAfter: 5
			// })
			that.defaultBatchActionHandle("syncPersonToBeisen");

		});
		
	},
	synBeiSenPersonAction:function(){
		var selectedIds = this.getSelectedIds();
		if (!selectedIds) {
			return;
		}
		this.doRemoteWithBatchAction({
				method: "synBeiSenPerson",
				ids: selectedIds
		});
	}
});

